script.on_event(defines.events.on_tick, function ()
    for _, player in pairs(game.players) do
        if player.gui.screen["gui-testbed-frame"]
            then return end
        local frame = player.gui.screen.add({
            type = "frame",
            name = "gui-testbed-frame",
            caption = "GUI testbed",
            direction = "vertical"
        })
        frame.auto_center = true

        local function create_elem_button_with_hidden_filter(elem_type)
            local flow = frame.add({
                type = "flow",
                direction = "horizontal"
            })
            flow.style.vertical_align = "center"
            flow.add({
                type = "label",
                caption = elem_type
            })
            flow.add({
                type = "choose-elem-button",
                elem_type = elem_type,
                elem_filters = {{filter = "hidden"}}
            })
        end

        create_elem_button_with_hidden_filter("item")
        create_elem_button_with_hidden_filter("fluid")
        create_elem_button_with_hidden_filter("recipe")
        create_elem_button_with_hidden_filter("entity")
        create_elem_button_with_hidden_filter("technology")
    end
end)
